.title_div {
    display: none;
}
.gnb_sub_div {
    margin-bottom: 0 !important;
}
.sub_contents_div {
    margin-top: 0;
}

.main_event {
    box-sizing: border-box;
    width: 100%;
    background-color: #fff;
    padding: 20px 50px;
}
.main_event_top {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 15px;
}
.main_event_top h2 {
    font-size: 2.5rem;
    font-weight: 500;
}
.main_event_sort form {
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: space-between;
    font-size: 1rem;    
}
.main_event_sort .sort_by {
    display: flex;
    gap: 10px;
    align-items: center;
}
.main_event_sort .sort_by input[type="radio"] {
    display: none;
}
.main_event_sort .sort_by label {
    position: relative;
    padding-left: 25px;
    cursor: pointer;
    vertical-align: middle;
    color: #ccc;
}
.main_event_sort .sort_by label::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    border: 2px solid #ccc;
    border-radius: 50%;
    background-color: #fff;
}

.main_event_sort .sort_by input[type="radio"]:checked + label {
    color: #333;
}
.main_event_sort .sort_by input[type="radio"]:checked + label::before {
    border-color: #01cb5c;
    background-color: #01cb5c;
}
.main_event_sort .sort_by input[type="radio"]:checked + label::after {
    content: '';
    position: absolute;
    left: 8px;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 8px;
    height: 8px;
    background-color: #fff;
    border-radius: 50%;
}

.main_event_sort .order_by {
    display: flex;
    align-items: center;
    gap: 8px;
}
.main_event_sort .order_by label {
    font-size: 0.9rem;
    color: #333;
}
.main_event_sort .order_by select {
    padding: 6px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background: none;
    font-size: 0.9rem;
    font-weight: 400;
    background-color: #fff;
    color: #333;
    cursor: pointer;
}

.newsection {
    background: #fff;
    width: 100%;
    overflow: hidden;
}
.newsection.products-section {
    background: #f5f5f7;
}
.newsection-inner {
    padding: 20px 0;
    max-width: 1400px;
    margin: 0 auto;
    box-sizing: border-box;
}
.section-title h2 {
    font-size: 44px;
    font-weight: 400;
    margin-bottom: 30px;
    letter-spacing: 1px;
    text-align: center;
}
.section-title p {
    color: #888;
    font-size: 16px;
    text-align: center;
}

.promotion-list {
    width: 100%;
    max-width: 1400px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: 2%;
}
.promotion-item { 
    width: 49%;
    display: block;
    text-decoration: none;
    position: relative;
    margin-bottom: 2%;
    overflow: hidden; /* 이미지가 튀어나가지 않게 */
    cursor: pointer;
}

.promotion-visual {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}
.promotion-visual img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* 배경 이미지처럼 작동 */
    transition: transform 0.6s ease;
}

.promotion-item::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, rgba(0,0,0,0.85) 0%, rgba(0,0,0,0.2) 100%);
    z-index: 2;
    transition: 0.3s;
}

.promotion-content {
    position: relative;
    z-index: 3; /* 가장 위 */
    padding: 60px;
    width: 65%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}
.promotion-content p {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 15px;
}
.promotion-content p .tag {
    color: #01CB5C;
    font-weight: 700;
    display: block;
}
.promotion-content p .sub {
    color: #BABABA;
}
.promotion-content h3 {
    color: #fff;
    font-size: 24px;
    line-height: 1.3;
    margin-bottom: 15px;
    font-weight: 700;
}
.promotion-content .date {
    color: #ccc;
    font-size: 14px;
    margin-bottom: 30px;
}

.btn-outline { 
    display: inline-block;
    padding: 10px 25px;
    border: 1px solid #fff; 
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    transition: 0.3s;
}
.btn-outline:hover {
    border-color: #1F9B51;
    background: #1F9B51;
}


@media (max-width: 768px) {
    .swiper-wrapper-sgnb {
        justify-content: center;
    }
    .main_event {
        padding: 0;
        margin-top: 30px;
    }
    .main_event_sort .sort_by {
        gap: 5px;
    }
    .main_event_sort .sort_by label {
        padding-left: 20px;
    }
    .main_event_sort .order_by {
        gap: 5px;
    }
    .main_event_sort form {
        font-size: 0.9rem;
        flex-direction: column;
        align-items: flex-end;
        gap: 10px;
    }
    .main_event_sort .order_by select {
        font-size: 0.8rem;
    }

    .section-title h2 {
        margin-bottom: 10px;
    }
    .promotion-item {
        width: 100%;
    }
    .promotion-content {
        padding: 20px;
        width: 70%;
    }
    .promotion-content h3 {
        font-size: 16px;
        
    }
    .promotion-content p .tag {
        font-size: 10px;
    }
    .promotion-content p .sub {
        font-size: 10px;
    }
    .promotion-content .date {
        font-size: 10px;
        margin-bottom: 0;
        margin-top: 20px;
    }
    .btn-outline {
        display: none;
    }
}